# Form implementation generated from reading ui file 'src/eric7/CodeFormatting/BlackConfigurationDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_BlackConfigurationDialog(object):
    def setupUi(self, BlackConfigurationDialog):
        BlackConfigurationDialog.setObjectName("BlackConfigurationDialog")
        BlackConfigurationDialog.resize(600, 500)
        BlackConfigurationDialog.setSizeGripEnabled(True)
        self.gridLayout_2 = QtWidgets.QGridLayout(BlackConfigurationDialog)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label = QtWidgets.QLabel(parent=BlackConfigurationDialog)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 0, 0, 1, 1)
        self.sourceComboBox = QtWidgets.QComboBox(parent=BlackConfigurationDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.sourceComboBox.sizePolicy().hasHeightForWidth())
        self.sourceComboBox.setSizePolicy(sizePolicy)
        self.sourceComboBox.setObjectName("sourceComboBox")
        self.gridLayout_2.addWidget(self.sourceComboBox, 0, 1, 1, 1)
        self.configurationGroup = QtWidgets.QGroupBox(parent=BlackConfigurationDialog)
        self.configurationGroup.setObjectName("configurationGroup")
        self.gridLayout = QtWidgets.QGridLayout(self.configurationGroup)
        self.gridLayout.setObjectName("gridLayout")
        self.label_2 = QtWidgets.QLabel(parent=self.configurationGroup)
        self.label_2.setObjectName("label_2")
        self.gridLayout.addWidget(self.label_2, 0, 0, 1, 1)
        self.lineLengthSpinBox = QtWidgets.QSpinBox(parent=self.configurationGroup)
        self.lineLengthSpinBox.setMinimum(70)
        self.lineLengthSpinBox.setMaximum(120)
        self.lineLengthSpinBox.setProperty("value", 88)
        self.lineLengthSpinBox.setObjectName("lineLengthSpinBox")
        self.gridLayout.addWidget(self.lineLengthSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(387, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 2)
        self.label_3 = QtWidgets.QLabel(parent=self.configurationGroup)
        self.label_3.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.targetVersionsList = QtWidgets.QListWidget(parent=self.configurationGroup)
        self.targetVersionsList.setAlternatingRowColors(True)
        self.targetVersionsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.targetVersionsList.setObjectName("targetVersionsList")
        self.gridLayout.addWidget(self.targetVersionsList, 1, 1, 2, 2)
        spacerItem1 = QtWidgets.QSpacerItem(322, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem1, 2, 3, 1, 1)
        self.skipStringNormalCheckBox = QtWidgets.QCheckBox(parent=self.configurationGroup)
        self.skipStringNormalCheckBox.setObjectName("skipStringNormalCheckBox")
        self.gridLayout.addWidget(self.skipStringNormalCheckBox, 3, 0, 1, 4)
        self.skipMagicCommaCheckBox = QtWidgets.QCheckBox(parent=self.configurationGroup)
        self.skipMagicCommaCheckBox.setObjectName("skipMagicCommaCheckBox")
        self.gridLayout.addWidget(self.skipMagicCommaCheckBox, 4, 0, 1, 4)
        self.label_4 = QtWidgets.QLabel(parent=self.configurationGroup)
        self.label_4.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 5, 0, 1, 1)
        self.excludeEdit = QtWidgets.QPlainTextEdit(parent=self.configurationGroup)
        self.excludeEdit.setObjectName("excludeEdit")
        self.gridLayout.addWidget(self.excludeEdit, 5, 1, 2, 3)
        self.validateButton = QtWidgets.QPushButton(parent=self.configurationGroup)
        self.validateButton.setObjectName("validateButton")
        self.gridLayout.addWidget(self.validateButton, 6, 0, 1, 1)
        self.gridLayout_2.addWidget(self.configurationGroup, 1, 0, 1, 2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=BlackConfigurationDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout_2.addWidget(self.buttonBox, 2, 0, 1, 2)

        self.retranslateUi(BlackConfigurationDialog)
        self.buttonBox.accepted.connect(BlackConfigurationDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(BlackConfigurationDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(BlackConfigurationDialog)
        BlackConfigurationDialog.setTabOrder(self.sourceComboBox, self.lineLengthSpinBox)
        BlackConfigurationDialog.setTabOrder(self.lineLengthSpinBox, self.targetVersionsList)
        BlackConfigurationDialog.setTabOrder(self.targetVersionsList, self.skipStringNormalCheckBox)
        BlackConfigurationDialog.setTabOrder(self.skipStringNormalCheckBox, self.skipMagicCommaCheckBox)
        BlackConfigurationDialog.setTabOrder(self.skipMagicCommaCheckBox, self.excludeEdit)

    def retranslateUi(self, BlackConfigurationDialog):
        _translate = QtCore.QCoreApplication.translate
        BlackConfigurationDialog.setWindowTitle(_translate("BlackConfigurationDialog", "Black Configuration"))
        self.label.setText(_translate("BlackConfigurationDialog", "Configuration Source:"))
        self.sourceComboBox.setToolTip(_translate("BlackConfigurationDialog", "Select the configuration source."))
        self.configurationGroup.setTitle(_translate("BlackConfigurationDialog", "Configuration"))
        self.label_2.setText(_translate("BlackConfigurationDialog", "Line Length:"))
        self.lineLengthSpinBox.setToolTip(_translate("BlackConfigurationDialog", "Enter the allowed maximum line length."))
        self.label_3.setText(_translate("BlackConfigurationDialog", "Target Versions:"))
        self.targetVersionsList.setToolTip(_translate("BlackConfigurationDialog", "Select the Python versions to be supported (none for auto-detection)."))
        self.skipStringNormalCheckBox.setToolTip(_translate("BlackConfigurationDialog", "Select to not normalize string quotes or prefixes."))
        self.skipStringNormalCheckBox.setText(_translate("BlackConfigurationDialog", "Skip string normalization"))
        self.skipMagicCommaCheckBox.setToolTip(_translate("BlackConfigurationDialog", "Select to not use trailing commas as a reason to split lines."))
        self.skipMagicCommaCheckBox.setText(_translate("BlackConfigurationDialog", "Skip magic trailing comma"))
        self.label_4.setText(_translate("BlackConfigurationDialog", "Exclude:"))
        self.excludeEdit.setToolTip(_translate("BlackConfigurationDialog", "Enter a regular expression that matches files and directories that should be excluded in addition to the default exclusions."))
        self.validateButton.setToolTip(_translate("BlackConfigurationDialog", "Press to validate the entered exclusion pattern."))
        self.validateButton.setText(_translate("BlackConfigurationDialog", "Validate"))
